use strict;

# updateAdjectiveIDs.pl
#
# Reads in a saved Scheherazade file and locates adjective frames encoded
# in the old KB style (0.04-0.31).  Updates them to the new style and prints
# the results to STDOUT.
#
# by David K. Elson
# 3/3/2011

if (@ARGV < 2) {
    die "Usage: updateAdjectiveIDs <conversion-table> <file>\n";
}

open (IN, $ARGV[0]) || die "Can't open $ARGV[0]: $!\n";

my %table = ();

foreach my $line (<IN>) {
    if ($line !~ /(\S+):(\S+)/) {
	next;
    }
    my ($before, $after) = ($1, $2);
    $table{$1} = $2;
}

close IN;

open (IN, $ARGV[1]) || die "Can't open $ARGV[1]: $1\n";


foreach my $line (<IN>) {
    foreach my $before (keys %table) {
	my $after = $table{$before};
	$line =~ s/$before/$after/g;
    }
    print $line;
}

close IN;
